summaryrefslogtreecommitdiffstats
path: root/modules.d/80lvmmerge/module-setup.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-03 13:54:25 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-03 13:54:25 +0000
commit9cb1c4df7b9ce1a9ad1312621b0f2b16a94fba3a (patch)
tree2efb72864cc69e174c9c5ee33efb88a5f1553b48 /modules.d/80lvmmerge/module-setup.sh
parentInitial commit. (diff)
downloaddracut-9cb1c4df7b9ce1a9ad1312621b0f2b16a94fba3a.tar.xz
dracut-9cb1c4df7b9ce1a9ad1312621b0f2b16a94fba3a.zip
Adding upstream version 060+5.upstream/060+5
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'modules.d/80lvmmerge/module-setup.sh')
-rwxr-xr-xmodules.d/80lvmmerge/module-setup.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/modules.d/80lvmmerge/module-setup.sh b/modules.d/80lvmmerge/module-setup.sh
new file mode 100755
index 0000000..c3be931
--- /dev/null
+++ b/modules.d/80lvmmerge/module-setup.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# called by dracut
+check() {
+ # No point trying to support lvm if the binaries are missing
+ require_binaries lvm dd swapoff || return 1
+
+ return 255
+}
+
+# called by dracut
+depends() {
+ echo lvm dracut-systemd systemd bash
+ return 0
+}
+
+installkernel() {
+ hostonly="" instmods dm-snapshot
+}
+
+# called by dracut
+install() {
+ inst_multiple dd swapoff
+ inst_hook cleanup 01 "$moddir/lvmmerge.sh"
+}